<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: edma3_rl_tc.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
    </ul>
  </div>
<h1>edma3_rl_tc.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * edma3_rl_tc.h</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * EDMA3 Transfer Controller Register Desciption.</span>
<a name="l00005"></a>00005 <span class="comment"> *</span>
<a name="l00006"></a>00006 <span class="comment"> * Copyright (C) 2009 Texas Instruments Incorporated - http://www.ti.com/</span>
<a name="l00007"></a>00007 <span class="comment"> *</span>
<a name="l00008"></a>00008 <span class="comment"> *</span>
<a name="l00009"></a>00009 <span class="comment"> *  Redistribution and use in source and binary forms, with or without</span>
<a name="l00010"></a>00010 <span class="comment"> *  modification, are permitted provided that the following conditions</span>
<a name="l00011"></a>00011 <span class="comment"> *  are met:</span>
<a name="l00012"></a>00012 <span class="comment"> *</span>
<a name="l00013"></a>00013 <span class="comment"> *    Redistributions of source code must retain the above copyright</span>
<a name="l00014"></a>00014 <span class="comment"> *    notice, this list of conditions and the following disclaimer.</span>
<a name="l00015"></a>00015 <span class="comment"> *</span>
<a name="l00016"></a>00016 <span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span>
<a name="l00017"></a>00017 <span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span>
<a name="l00018"></a>00018 <span class="comment"> *    documentation and/or other materials provided with the</span>
<a name="l00019"></a>00019 <span class="comment"> *    distribution.</span>
<a name="l00020"></a>00020 <span class="comment"> *</span>
<a name="l00021"></a>00021 <span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span>
<a name="l00022"></a>00022 <span class="comment"> *    its contributors may be used to endorse or promote products derived</span>
<a name="l00023"></a>00023 <span class="comment"> *    from this software without specific prior written permission.</span>
<a name="l00024"></a>00024 <span class="comment"> *</span>
<a name="l00025"></a>00025 <span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span>
<a name="l00026"></a>00026 <span class="comment"> *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span>
<a name="l00027"></a>00027 <span class="comment"> *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span>
<a name="l00028"></a>00028 <span class="comment"> *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span>
<a name="l00029"></a>00029 <span class="comment"> *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span>
<a name="l00030"></a>00030 <span class="comment"> *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span>
<a name="l00031"></a>00031 <span class="comment"> *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span>
<a name="l00032"></a>00032 <span class="comment"> *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span>
<a name="l00033"></a>00033 <span class="comment"> *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span>
<a name="l00034"></a>00034 <span class="comment"> *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span>
<a name="l00035"></a>00035 <span class="comment"> *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span>
<a name="l00036"></a>00036 <span class="comment"> *</span>
<a name="l00037"></a>00037 <span class="comment">*/</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="preprocessor">#ifndef _EDMA3_RL_TC_H_</span>
<a name="l00040"></a>00040 <span class="preprocessor"></span><span class="preprocessor">#define _EDMA3_RL_TC_H_</span>
<a name="l00041"></a>00041 <span class="preprocessor"></span>
<a name="l00042"></a>00042 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00043"></a>00043 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
<a name="l00044"></a>00044 <span class="preprocessor">#endif</span>
<a name="l00045"></a>00045 <span class="preprocessor"></span>
<a name="l00046"></a>00046 <span class="comment">/**************************************************************************\</span>
<a name="l00047"></a>00047 <span class="comment">* Register Overlay Structure for DFIREG</span>
<a name="l00048"></a>00048 <span class="comment">\**************************************************************************/</span>
<a name="l00049"></a>00049 <span class="keyword">typedef</span> <span class="keyword">struct  </span>{
<a name="l00050"></a>00050     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> DFOPT;
<a name="l00051"></a>00051     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> DFSRC;
<a name="l00052"></a>00052     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> DFCNT;
<a name="l00053"></a>00053     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> DFDST;
<a name="l00054"></a>00054     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> DFBIDX;
<a name="l00055"></a>00055     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> DFMPPRXY;
<a name="l00056"></a>00056     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> RSVD0[40];
<a name="l00057"></a>00057 } EDMA3_TCRL_DfiregRegs;
<a name="l00058"></a>00058 
<a name="l00059"></a>00059 <span class="comment">/**************************************************************************\</span>
<a name="l00060"></a>00060 <span class="comment">* Register Overlay Structure</span>
<a name="l00061"></a>00061 <span class="comment">\**************************************************************************/</span>
<a name="l00062"></a>00062 <span class="keyword">typedef</span> <span class="keyword">struct  </span>{
<a name="l00063"></a>00063     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> REV;
<a name="l00064"></a>00064     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> TCCFG;
<a name="l00065"></a>00065     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> RSVD0[248];
<a name="l00066"></a>00066     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> TCSTAT;
<a name="l00067"></a>00067     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> INTSTAT;
<a name="l00068"></a>00068     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> INTEN;
<a name="l00069"></a>00069     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> INTCLR;
<a name="l00070"></a>00070     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> INTCMD;
<a name="l00071"></a>00071     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> RSVD1[12];
<a name="l00072"></a>00072     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ERRSTAT;
<a name="l00073"></a>00073     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ERREN;
<a name="l00074"></a>00074     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ERRCLR;
<a name="l00075"></a>00075     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ERRDET;
<a name="l00076"></a>00076     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ERRCMD;
<a name="l00077"></a>00077     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> RSVD2[12];
<a name="l00078"></a>00078     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> RDRATE;
<a name="l00079"></a>00079     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> RSVD3[188];
<a name="l00080"></a>00080     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> POPT;
<a name="l00081"></a>00081     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> PSRC;
<a name="l00082"></a>00082     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> PCNT;
<a name="l00083"></a>00083     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> PDST;
<a name="l00084"></a>00084     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> PBIDX;
<a name="l00085"></a>00085     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> PMPPRXY;
<a name="l00086"></a>00086     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> RSVD4[40];
<a name="l00087"></a>00087     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> SAOPT;
<a name="l00088"></a>00088     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> SASRC;
<a name="l00089"></a>00089     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> SACNT;
<a name="l00090"></a>00090     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> SADST;
<a name="l00091"></a>00091     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> SABIDX;
<a name="l00092"></a>00092     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> SAMPPRXY;
<a name="l00093"></a>00093     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> SACNTRLD;
<a name="l00094"></a>00094     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> SASRCBREF;
<a name="l00095"></a>00095     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> SADSTBREF;
<a name="l00096"></a>00096     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> RSVD5[28];
<a name="l00097"></a>00097     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> DFCNTRLD;
<a name="l00098"></a>00098     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> DFSRCBREF;
<a name="l00099"></a>00099     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> DFDSTBREF;
<a name="l00100"></a>00100     <span class="keyword">volatile</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> RSVD6[116];
<a name="l00101"></a>00101     EDMA3_TCRL_DfiregRegs DFIREG[4];
<a name="l00102"></a>00102 } EDMA3_TCRL_Regs;
<a name="l00103"></a>00103 
<a name="l00104"></a>00104 <span class="comment">/**************************************************************************\</span>
<a name="l00105"></a>00105 <span class="comment">* Field Definition Macros</span>
<a name="l00106"></a>00106 <span class="comment">\**************************************************************************/</span>
<a name="l00107"></a>00107 
<a name="l00108"></a>00108 <span class="comment">/* REV */</span>
<a name="l00109"></a>00109 
<a name="l00110"></a>00110 <span class="preprocessor">#define EDMA3_TCRL_REV_TYPE_MASK         (0x00FF0000u)</span>
<a name="l00111"></a>00111 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_REV_TYPE_SHIFT        (0x00000010u)</span>
<a name="l00112"></a>00112 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_REV_TYPE_RESETVAL     (0x00000006u)</span>
<a name="l00113"></a>00113 <span class="preprocessor"></span>
<a name="l00114"></a>00114 <span class="preprocessor">#define EDMA3_TCRL_REV_CLASS_MASK        (0x0000FF00u)</span>
<a name="l00115"></a>00115 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_REV_CLASS_SHIFT       (0x00000008u)</span>
<a name="l00116"></a>00116 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_REV_CLASS_RESETVAL    (0x00000004u)</span>
<a name="l00117"></a>00117 <span class="preprocessor"></span>
<a name="l00118"></a>00118 <span class="preprocessor">#define EDMA3_TCRL_REV_REV_MASK          (0x000000FFu)</span>
<a name="l00119"></a>00119 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_REV_REV_SHIFT         (0x00000000u)</span>
<a name="l00120"></a>00120 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_REV_REV_RESETVAL      (0x00000001u)</span>
<a name="l00121"></a>00121 <span class="preprocessor"></span>
<a name="l00122"></a>00122 <span class="preprocessor">#define EDMA3_TCRL_REV_RESETVAL          (0x00060401u)</span>
<a name="l00123"></a>00123 <span class="preprocessor"></span>
<a name="l00124"></a>00124 <span class="comment">/* TCCFG */</span>
<a name="l00125"></a>00125 
<a name="l00126"></a>00126 <span class="preprocessor">#define EDMA3_TCRL_TCCFG_DREGDEPTH_MASK  (0x00000300u)</span>
<a name="l00127"></a>00127 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_DREGDEPTH_SHIFT (0x00000008u)</span>
<a name="l00128"></a>00128 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_DREGDEPTH_RESETVAL (0x00000000u)</span>
<a name="l00129"></a>00129 <span class="preprocessor"></span>
<a name="l00130"></a>00130 <span class="comment">/*----DREGDEPTH Tokens----*/</span>
<a name="l00131"></a>00131 <span class="preprocessor">#define EDMA3_TCRL_TCCFG_DREGDEPTH_1ENTRY (0x00000000u)</span>
<a name="l00132"></a>00132 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_DREGDEPTH_2ENTRY (0x00000001u)</span>
<a name="l00133"></a>00133 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_DREGDEPTH_4ENTRY (0x00000002u)</span>
<a name="l00134"></a>00134 <span class="preprocessor"></span>
<a name="l00135"></a>00135 <span class="preprocessor">#define EDMA3_TCRL_TCCFG_BUSWIDTH_MASK   (0x00000030u)</span>
<a name="l00136"></a>00136 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_BUSWIDTH_SHIFT  (0x00000004u)</span>
<a name="l00137"></a>00137 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_BUSWIDTH_RESETVAL (0x00000000u)</span>
<a name="l00138"></a>00138 <span class="preprocessor"></span>
<a name="l00139"></a>00139 <span class="comment">/*----BUSWIDTH Tokens----*/</span>
<a name="l00140"></a>00140 <span class="preprocessor">#define EDMA3_TCRL_TCCFG_BUSWIDTH_32BIT  (0x00000000u)</span>
<a name="l00141"></a>00141 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_BUSWIDTH_64BIY  (0x00000001u)</span>
<a name="l00142"></a>00142 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_BUSWIDTH_128BIT (0x00000002u)</span>
<a name="l00143"></a>00143 <span class="preprocessor"></span>
<a name="l00144"></a>00144 <span class="preprocessor">#define EDMA3_TCRL_TCCFG_FIFOSIZE_MASK   (0x00000007u)</span>
<a name="l00145"></a>00145 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_FIFOSIZE_SHIFT  (0x00000000u)</span>
<a name="l00146"></a>00146 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_FIFOSIZE_RESETVAL (0x00000000u)</span>
<a name="l00147"></a>00147 <span class="preprocessor"></span>
<a name="l00148"></a>00148 <span class="comment">/*----FIFOSIZE Tokens----*/</span>
<a name="l00149"></a>00149 <span class="preprocessor">#define EDMA3_TCRL_TCCFG_FIFOSIZE_32BYTE (0x00000000u)</span>
<a name="l00150"></a>00150 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_FIFOSIZE_64BYTE (0x00000001u)</span>
<a name="l00151"></a>00151 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_FIFOSIZE_128BYTE (0x00000002u)</span>
<a name="l00152"></a>00152 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_FIFOSIZE_256BYTE (0x00000003u)</span>
<a name="l00153"></a>00153 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCCFG_FIFOSIZE_512BYTE (0x00000004u)</span>
<a name="l00154"></a>00154 <span class="preprocessor"></span>
<a name="l00155"></a>00155 <span class="preprocessor">#define EDMA3_TCRL_TCCFG_RESETVAL        (0x00000000u)</span>
<a name="l00156"></a>00156 <span class="preprocessor"></span>
<a name="l00157"></a>00157 <span class="comment">/* TCSTAT */</span>
<a name="l00158"></a>00158 
<a name="l00159"></a>00159 <span class="preprocessor">#define EDMA3_TCRL_TCSTAT_DFSTRT_MASK  (0x00003000u)</span>
<a name="l00160"></a>00160 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_DFSTRT_SHIFT (0x0000000Cu)</span>
<a name="l00161"></a>00161 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_DFSTRT_RESETVAL (0x00000000u)</span>
<a name="l00162"></a>00162 <span class="preprocessor"></span>
<a name="l00163"></a>00163 <span class="preprocessor">#define EDMA3_TCRL_TCSTAT_ATCV_MASK    (0x00000100u)</span>
<a name="l00164"></a>00164 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_ATCV_SHIFT   (0x00000008u)</span>
<a name="l00165"></a>00165 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_ATCV_RESETVAL (0x00000000u)</span>
<a name="l00166"></a>00166 <span class="preprocessor"></span>
<a name="l00167"></a>00167 <span class="comment">/*----ATCV Tokens----*/</span>
<a name="l00168"></a>00168 <span class="preprocessor">#define EDMA3_TCRL_TCSTAT_ATCV_IDLE    (0x00000000u)</span>
<a name="l00169"></a>00169 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_ATCV_BUSY    (0x00000001u)</span>
<a name="l00170"></a>00170 <span class="preprocessor"></span>
<a name="l00171"></a>00171 <span class="preprocessor">#define EDMA3_TCRL_TCSTAT_DSTACT_MASK  (0x00000070u)</span>
<a name="l00172"></a>00172 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_DSTACT_SHIFT (0x00000004u)</span>
<a name="l00173"></a>00173 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_DSTACT_RESETVAL (0x00000000u)</span>
<a name="l00174"></a>00174 <span class="preprocessor"></span>
<a name="l00175"></a>00175 <span class="comment">/*----DSTACT Tokens----*/</span>
<a name="l00176"></a>00176 <span class="preprocessor">#define EDMA3_TCRL_TCSTAT_DSTACT_EMPTY (0x00000000u)</span>
<a name="l00177"></a>00177 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_DSTACT_1TR   (0x00000001u)</span>
<a name="l00178"></a>00178 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_DSTACT_2TR   (0x00000002u)</span>
<a name="l00179"></a>00179 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_DSTACT_3TR   (0x00000003u)</span>
<a name="l00180"></a>00180 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_DSTACT_4TR   (0x00000004u)</span>
<a name="l00181"></a>00181 <span class="preprocessor"></span>
<a name="l00182"></a>00182 <span class="preprocessor">#define EDMA3_TCRL_TCSTAT_WSACTV_MASK  (0x00000004u)</span>
<a name="l00183"></a>00183 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_WSACTV_SHIFT (0x00000002u)</span>
<a name="l00184"></a>00184 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_WSACTV_RESETVAL (0x00000000u)</span>
<a name="l00185"></a>00185 <span class="preprocessor"></span>
<a name="l00186"></a>00186 <span class="comment">/*----WSACTV Tokens----*/</span>
<a name="l00187"></a>00187 <span class="preprocessor">#define EDMA3_TCRL_TCSTAT_WSACTV_NONE  (0x00000000u)</span>
<a name="l00188"></a>00188 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_WSACTV_PEND  (0x00000001u)</span>
<a name="l00189"></a>00189 <span class="preprocessor"></span>
<a name="l00190"></a>00190 <span class="preprocessor">#define EDMA3_TCRL_TCSTAT_SRCACTV_MASK (0x00000002u)</span>
<a name="l00191"></a>00191 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_SRCACTV_SHIFT (0x00000001u)</span>
<a name="l00192"></a>00192 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_SRCACTV_RESETVAL (0x00000000u)</span>
<a name="l00193"></a>00193 <span class="preprocessor"></span>
<a name="l00194"></a>00194 <span class="comment">/*----SRCACTV Tokens----*/</span>
<a name="l00195"></a>00195 <span class="preprocessor">#define EDMA3_TCRL_TCSTAT_SRCACTV_IDLE (0x00000000u)</span>
<a name="l00196"></a>00196 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_SRCACTV_BUSY (0x00000001u)</span>
<a name="l00197"></a>00197 <span class="preprocessor"></span>
<a name="l00198"></a>00198 <span class="preprocessor">#define EDMA3_TCRL_TCSTAT_PROGBUSY_MASK (0x00000001u)</span>
<a name="l00199"></a>00199 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_PROGBUSY_SHIFT (0x00000000u)</span>
<a name="l00200"></a>00200 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_PROGBUSY_RESETVAL (0x00000000u)</span>
<a name="l00201"></a>00201 <span class="preprocessor"></span>
<a name="l00202"></a>00202 <span class="comment">/*----PROGBUSY Tokens----*/</span>
<a name="l00203"></a>00203 <span class="preprocessor">#define EDMA3_TCRL_TCSTAT_PROGBUSY_IDLE (0x00000000u)</span>
<a name="l00204"></a>00204 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_TCSTAT_PROGBUSY_BUSY (0x00000001u)</span>
<a name="l00205"></a>00205 <span class="preprocessor"></span>
<a name="l00206"></a>00206 <span class="preprocessor">#define EDMA3_TCRL_TCSTAT_RESETVAL     (0x00000000u)</span>
<a name="l00207"></a>00207 <span class="preprocessor"></span>
<a name="l00208"></a>00208 <span class="comment">/* INTSTAT */</span>
<a name="l00209"></a>00209 
<a name="l00210"></a>00210 <span class="preprocessor">#define EDMA3_TCRL_INTSTAT_TRDONE_MASK   (0x00000002u)</span>
<a name="l00211"></a>00211 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTSTAT_TRDONE_SHIFT  (0x00000001u)</span>
<a name="l00212"></a>00212 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTSTAT_TRDONE_RESETVAL (0x00000000u)</span>
<a name="l00213"></a>00213 <span class="preprocessor"></span>
<a name="l00214"></a>00214 <span class="comment">/*----TRDONE Tokens----*/</span>
<a name="l00215"></a>00215 <span class="preprocessor">#define EDMA3_TCRL_INTSTAT_TRDONE_NONE   (0x00000000u)</span>
<a name="l00216"></a>00216 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTSTAT_TRDONE_DONE   (0x00000001u)</span>
<a name="l00217"></a>00217 <span class="preprocessor"></span>
<a name="l00218"></a>00218 <span class="preprocessor">#define EDMA3_TCRL_INTSTAT_PROGEMPTY_MASK (0x00000001u)</span>
<a name="l00219"></a>00219 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTSTAT_PROGEMPTY_SHIFT (0x00000000u)</span>
<a name="l00220"></a>00220 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTSTAT_PROGEMPTY_RESETVAL (0x00000000u)</span>
<a name="l00221"></a>00221 <span class="preprocessor"></span>
<a name="l00222"></a>00222 <span class="comment">/*----PROGEMPTY Tokens----*/</span>
<a name="l00223"></a>00223 <span class="preprocessor">#define EDMA3_TCRL_INTSTAT_PROGEMPTY_NONE (0x00000000u)</span>
<a name="l00224"></a>00224 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTSTAT_PROGEMPTY_EMPTY (0x00000001u)</span>
<a name="l00225"></a>00225 <span class="preprocessor"></span>
<a name="l00226"></a>00226 <span class="preprocessor">#define EDMA3_TCRL_INTSTAT_RESETVAL      (0x00000000u)</span>
<a name="l00227"></a>00227 <span class="preprocessor"></span>
<a name="l00228"></a>00228 <span class="comment">/* INTEN */</span>
<a name="l00229"></a>00229 
<a name="l00230"></a>00230 <span class="preprocessor">#define EDMA3_TCRL_INTEN_TRDONE_MASK     (0x00000002u)</span>
<a name="l00231"></a>00231 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTEN_TRDONE_SHIFT    (0x00000001u)</span>
<a name="l00232"></a>00232 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTEN_TRDONE_RESETVAL (0x00000000u)</span>
<a name="l00233"></a>00233 <span class="preprocessor"></span>
<a name="l00234"></a>00234 <span class="comment">/*----TRDONE Tokens----*/</span>
<a name="l00235"></a>00235 <span class="preprocessor">#define EDMA3_TCRL_INTEN_TRDONE_DISABLE  (0x00000000u)</span>
<a name="l00236"></a>00236 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTEN_TRDONE_ENABLE   (0x00000001u)</span>
<a name="l00237"></a>00237 <span class="preprocessor"></span>
<a name="l00238"></a>00238 <span class="preprocessor">#define EDMA3_TCRL_INTEN_PROGEMPTY_MASK  (0x00000001u)</span>
<a name="l00239"></a>00239 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTEN_PROGEMPTY_SHIFT (0x00000000u)</span>
<a name="l00240"></a>00240 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTEN_PROGEMPTY_RESETVAL (0x00000000u)</span>
<a name="l00241"></a>00241 <span class="preprocessor"></span>
<a name="l00242"></a>00242 <span class="comment">/*----PROGEMPTY Tokens----*/</span>
<a name="l00243"></a>00243 <span class="preprocessor">#define EDMA3_TCRL_INTEN_PROGEMPTY_DISABLE (0x00000000u)</span>
<a name="l00244"></a>00244 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTEN_PROGEMPTY_ENABLE (0x00000001u)</span>
<a name="l00245"></a>00245 <span class="preprocessor"></span>
<a name="l00246"></a>00246 <span class="preprocessor">#define EDMA3_TCRL_INTEN_RESETVAL        (0x00000000u)</span>
<a name="l00247"></a>00247 <span class="preprocessor"></span>
<a name="l00248"></a>00248 <span class="comment">/* INTCLR */</span>
<a name="l00249"></a>00249 
<a name="l00250"></a>00250 <span class="preprocessor">#define EDMA3_TCRL_INTCLR_TRDONE_MASK    (0x00000002u)</span>
<a name="l00251"></a>00251 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTCLR_TRDONE_SHIFT   (0x00000001u)</span>
<a name="l00252"></a>00252 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTCLR_TRDONE_RESETVAL (0x00000000u)</span>
<a name="l00253"></a>00253 <span class="preprocessor"></span>
<a name="l00254"></a>00254 <span class="comment">/*----TRDONE Tokens----*/</span>
<a name="l00255"></a>00255 <span class="preprocessor">#define EDMA3_TCRL_INTCLR_TRDONE_CLEAR   (0x00000001u)</span>
<a name="l00256"></a>00256 <span class="preprocessor"></span>
<a name="l00257"></a>00257 <span class="preprocessor">#define EDMA3_TCRL_INTCLR_PROGEMPTY_MASK (0x00000001u)</span>
<a name="l00258"></a>00258 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTCLR_PROGEMPTY_SHIFT (0x00000000u)</span>
<a name="l00259"></a>00259 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTCLR_PROGEMPTY_RESETVAL (0x00000000u)</span>
<a name="l00260"></a>00260 <span class="preprocessor"></span>
<a name="l00261"></a>00261 <span class="comment">/*----PROGEMPTY Tokens----*/</span>
<a name="l00262"></a>00262 <span class="preprocessor">#define EDMA3_TCRL_INTCLR_PROGEMPTY_CLEAR (0x00000001u)</span>
<a name="l00263"></a>00263 <span class="preprocessor"></span>
<a name="l00264"></a>00264 <span class="preprocessor">#define EDMA3_TCRL_INTCLR_RESETVAL       (0x00000000u)</span>
<a name="l00265"></a>00265 <span class="preprocessor"></span>
<a name="l00266"></a>00266 <span class="comment">/* INTCMD */</span>
<a name="l00267"></a>00267 
<a name="l00268"></a>00268 <span class="preprocessor">#define EDMA3_TCRL_INTCMD_SET_MASK       (0x00000002u)</span>
<a name="l00269"></a>00269 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTCMD_SET_SHIFT      (0x00000001u)</span>
<a name="l00270"></a>00270 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTCMD_SET_RESETVAL   (0x00000000u)</span>
<a name="l00271"></a>00271 <span class="preprocessor"></span>
<a name="l00272"></a>00272 <span class="comment">/*----SET Tokens----*/</span>
<a name="l00273"></a>00273 <span class="preprocessor">#define EDMA3_TCRL_INTCMD_SET_SET        (0x00000001u)</span>
<a name="l00274"></a>00274 <span class="preprocessor"></span>
<a name="l00275"></a>00275 <span class="preprocessor">#define EDMA3_TCRL_INTCMD_EVAL_MASK      (0x00000001u)</span>
<a name="l00276"></a>00276 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTCMD_EVAL_SHIFT     (0x00000000u)</span>
<a name="l00277"></a>00277 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_INTCMD_EVAL_RESETVAL  (0x00000000u)</span>
<a name="l00278"></a>00278 <span class="preprocessor"></span>
<a name="l00279"></a>00279 <span class="comment">/*----EVAL Tokens----*/</span>
<a name="l00280"></a>00280 <span class="preprocessor">#define EDMA3_TCRL_INTCMD_EVAL_EVAL      (0x00000001u)</span>
<a name="l00281"></a>00281 <span class="preprocessor"></span>
<a name="l00282"></a>00282 <span class="preprocessor">#define EDMA3_TCRL_INTCMD_RESETVAL       (0x00000000u)</span>
<a name="l00283"></a>00283 <span class="preprocessor"></span>
<a name="l00284"></a>00284 <span class="comment">/* ERRSTAT */</span>
<a name="l00285"></a>00285 
<a name="l00286"></a>00286 <span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_MMRAERR_MASK  (0x00000008u)</span>
<a name="l00287"></a>00287 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_MMRAERR_SHIFT (0x00000003u)</span>
<a name="l00288"></a>00288 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_MMRAERR_RESETVAL (0x00000000u)</span>
<a name="l00289"></a>00289 <span class="preprocessor"></span>
<a name="l00290"></a>00290 <span class="comment">/*----MMRAERR Tokens----*/</span>
<a name="l00291"></a>00291 <span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_MMRAERR_NONE  (0x00000000u)</span>
<a name="l00292"></a>00292 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_MMRAERR_ERROR (0x00000001u)</span>
<a name="l00293"></a>00293 <span class="preprocessor"></span>
<a name="l00294"></a>00294 <span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_TRERR_MASK    (0x00000004u)</span>
<a name="l00295"></a>00295 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_TRERR_SHIFT   (0x00000002u)</span>
<a name="l00296"></a>00296 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_TRERR_RESETVAL (0x00000000u)</span>
<a name="l00297"></a>00297 <span class="preprocessor"></span>
<a name="l00298"></a>00298 <span class="comment">/*----TRERR Tokens----*/</span>
<a name="l00299"></a>00299 <span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_TRERR_NONE    (0x00000000u)</span>
<a name="l00300"></a>00300 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_TRERR_ERROR   (0x00000001u)</span>
<a name="l00301"></a>00301 <span class="preprocessor"></span>
<a name="l00302"></a>00302 <span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_BUSERR_MASK   (0x00000001u)</span>
<a name="l00303"></a>00303 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_BUSERR_SHIFT  (0x00000000u)</span>
<a name="l00304"></a>00304 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_BUSERR_RESETVAL (0x00000000u)</span>
<a name="l00305"></a>00305 <span class="preprocessor"></span>
<a name="l00306"></a>00306 <span class="comment">/*----BUSERR Tokens----*/</span>
<a name="l00307"></a>00307 <span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_BUSERR_NONE   (0x00000000u)</span>
<a name="l00308"></a>00308 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_BUSERR_ERROR  (0x00000001u)</span>
<a name="l00309"></a>00309 <span class="preprocessor"></span>
<a name="l00310"></a>00310 <span class="preprocessor">#define EDMA3_TCRL_ERRSTAT_RESETVAL      (0x00000000u)</span>
<a name="l00311"></a>00311 <span class="preprocessor"></span>
<a name="l00312"></a>00312 <span class="comment">/* ERREN */</span>
<a name="l00313"></a>00313 
<a name="l00314"></a>00314 <span class="preprocessor">#define EDMA3_TCRL_ERREN_MMRAERR_MASK    (0x00000008u)</span>
<a name="l00315"></a>00315 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERREN_MMRAERR_SHIFT   (0x00000003u)</span>
<a name="l00316"></a>00316 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERREN_MMRAERR_RESETVAL (0x00000000u)</span>
<a name="l00317"></a>00317 <span class="preprocessor"></span>
<a name="l00318"></a>00318 <span class="comment">/*----MMRAERR Tokens----*/</span>
<a name="l00319"></a>00319 <span class="preprocessor">#define EDMA3_TCRL_ERREN_MMRAERR_ENABLE  (0x00000001u)</span>
<a name="l00320"></a>00320 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERREN_MMRAERR_DISABLE (0x00000000u)</span>
<a name="l00321"></a>00321 <span class="preprocessor"></span>
<a name="l00322"></a>00322 <span class="preprocessor">#define EDMA3_TCRL_ERREN_TRERR_MASK      (0x00000004u)</span>
<a name="l00323"></a>00323 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERREN_TRERR_SHIFT     (0x00000002u)</span>
<a name="l00324"></a>00324 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERREN_TRERR_RESETVAL  (0x00000000u)</span>
<a name="l00325"></a>00325 <span class="preprocessor"></span>
<a name="l00326"></a>00326 <span class="comment">/*----TRERR Tokens----*/</span>
<a name="l00327"></a>00327 <span class="preprocessor">#define EDMA3_TCRL_ERREN_TRERR_ENABLE    (0x00000001u)</span>
<a name="l00328"></a>00328 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERREN_TRERR_DISABLE   (0x00000000u)</span>
<a name="l00329"></a>00329 <span class="preprocessor"></span>
<a name="l00330"></a>00330 <span class="preprocessor">#define EDMA3_TCRL_ERREN_BUSERR_MASK     (0x00000001u)</span>
<a name="l00331"></a>00331 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERREN_BUSERR_SHIFT    (0x00000000u)</span>
<a name="l00332"></a>00332 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERREN_BUSERR_RESETVAL (0x00000000u)</span>
<a name="l00333"></a>00333 <span class="preprocessor"></span>
<a name="l00334"></a>00334 <span class="comment">/*----BUSERR Tokens----*/</span>
<a name="l00335"></a>00335 <span class="preprocessor">#define EDMA3_TCRL_ERREN_BUSERR_ENABLE   (0x00000001u)</span>
<a name="l00336"></a>00336 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERREN_BUSERR_DISABLE  (0x00000000u)</span>
<a name="l00337"></a>00337 <span class="preprocessor"></span>
<a name="l00338"></a>00338 <span class="preprocessor">#define EDMA3_TCRL_ERREN_RESETVAL        (0x00000000u)</span>
<a name="l00339"></a>00339 <span class="preprocessor"></span>
<a name="l00340"></a>00340 <span class="comment">/* ERRCLR */</span>
<a name="l00341"></a>00341 
<a name="l00342"></a>00342 <span class="preprocessor">#define EDMA3_TCRL_ERRCLR_MMRAERR_MASK   (0x00000008u)</span>
<a name="l00343"></a>00343 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRCLR_MMRAERR_SHIFT  (0x00000003u)</span>
<a name="l00344"></a>00344 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRCLR_MMRAERR_RESETVAL (0x00000000u)</span>
<a name="l00345"></a>00345 <span class="preprocessor"></span>
<a name="l00346"></a>00346 <span class="comment">/*----MMRAERR Tokens----*/</span>
<a name="l00347"></a>00347 <span class="preprocessor">#define EDMA3_TCRL_ERRCLR_MMRAERR_CLEAR  (0x00000001u)</span>
<a name="l00348"></a>00348 <span class="preprocessor"></span>
<a name="l00349"></a>00349 <span class="preprocessor">#define EDMA3_TCRL_ERRCLR_TRERR_MASK     (0x00000004u)</span>
<a name="l00350"></a>00350 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRCLR_TRERR_SHIFT    (0x00000002u)</span>
<a name="l00351"></a>00351 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRCLR_TRERR_RESETVAL (0x00000000u)</span>
<a name="l00352"></a>00352 <span class="preprocessor"></span>
<a name="l00353"></a>00353 <span class="comment">/*----TRERR Tokens----*/</span>
<a name="l00354"></a>00354 <span class="preprocessor">#define EDMA3_TCRL_ERRCLR_TRERR_CLEAR    (0x00000001u)</span>
<a name="l00355"></a>00355 <span class="preprocessor"></span>
<a name="l00356"></a>00356 <span class="preprocessor">#define EDMA3_TCRL_ERRCLR_BUSERR_MASK    (0x00000001u)</span>
<a name="l00357"></a>00357 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRCLR_BUSERR_SHIFT   (0x00000000u)</span>
<a name="l00358"></a>00358 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRCLR_BUSERR_RESETVAL (0x00000000u)</span>
<a name="l00359"></a>00359 <span class="preprocessor"></span>
<a name="l00360"></a>00360 <span class="comment">/*----BUSERR Tokens----*/</span>
<a name="l00361"></a>00361 <span class="preprocessor">#define EDMA3_TCRL_ERRCLR_BUSERR_CLEAR   (0x00000001u)</span>
<a name="l00362"></a>00362 <span class="preprocessor"></span>
<a name="l00363"></a>00363 <span class="preprocessor">#define EDMA3_TCRL_ERRCLR_RESETVAL       (0x00000000u)</span>
<a name="l00364"></a>00364 <span class="preprocessor"></span>
<a name="l00365"></a>00365 <span class="comment">/* ERRDET */</span>
<a name="l00366"></a>00366 
<a name="l00367"></a>00367 <span class="preprocessor">#define EDMA3_TCRL_ERRDET_TCCHEN_MASK    (0x00020000u)</span>
<a name="l00368"></a>00368 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_TCCHEN_SHIFT   (0x00000011u)</span>
<a name="l00369"></a>00369 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_TCCHEN_RESETVAL (0x00000000u)</span>
<a name="l00370"></a>00370 <span class="preprocessor"></span>
<a name="l00371"></a>00371 <span class="preprocessor">#define EDMA3_TCRL_ERRDET_TCINTEN_MASK   (0x00010000u)</span>
<a name="l00372"></a>00372 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_TCINTEN_SHIFT  (0x00000010u)</span>
<a name="l00373"></a>00373 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_TCINTEN_RESETVAL (0x00000000u)</span>
<a name="l00374"></a>00374 <span class="preprocessor"></span>
<a name="l00375"></a>00375 <span class="preprocessor">#define EDMA3_TCRL_ERRDET_TCC_MASK       (0x00003F00u)</span>
<a name="l00376"></a>00376 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_TCC_SHIFT      (0x00000008u)</span>
<a name="l00377"></a>00377 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_TCC_RESETVAL   (0x00000000u)</span>
<a name="l00378"></a>00378 <span class="preprocessor"></span>
<a name="l00379"></a>00379 <span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_MASK      (0x0000000Fu)</span>
<a name="l00380"></a>00380 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_SHIFT     (0x00000000u)</span>
<a name="l00381"></a>00381 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_RESETVAL  (0x00000000u)</span>
<a name="l00382"></a>00382 <span class="preprocessor"></span>
<a name="l00383"></a>00383 <span class="comment">/*----STAT Tokens----*/</span>
<a name="l00384"></a>00384 <span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_NONE      (0x00000000u)</span>
<a name="l00385"></a>00385 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_READ_ADDRESS (0x00000001u)</span>
<a name="l00386"></a>00386 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_READ_PRIVILEGE (0x00000002u)</span>
<a name="l00387"></a>00387 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_READ_TIMEOUT (0x00000003u)</span>
<a name="l00388"></a>00388 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_READ_DATA (0x00000004u)</span>
<a name="l00389"></a>00389 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_READ_EXCLUSIVE (0x00000007u)</span>
<a name="l00390"></a>00390 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_WRITE_ADDRESS (0x00000009u)</span>
<a name="l00391"></a>00391 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_WRITE_PRIVILEGE (0x0000000Au)</span>
<a name="l00392"></a>00392 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_WRITE_TIMEOUT (0x0000000Bu)</span>
<a name="l00393"></a>00393 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_WRITE_DATA (0x0000000Cu)</span>
<a name="l00394"></a>00394 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRDET_STAT_WRITE_EXCLUSIVE (0x0000000Fu)</span>
<a name="l00395"></a>00395 <span class="preprocessor"></span>
<a name="l00396"></a>00396 <span class="preprocessor">#define EDMA3_TCRL_ERRDET_RESETVAL       (0x00000000u)</span>
<a name="l00397"></a>00397 <span class="preprocessor"></span>
<a name="l00398"></a>00398 <span class="comment">/* ERRCMD */</span>
<a name="l00399"></a>00399 
<a name="l00400"></a>00400 <span class="preprocessor">#define EDMA3_TCRL_ERRCMD_SET_MASK       (0x00000002u)</span>
<a name="l00401"></a>00401 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRCMD_SET_SHIFT      (0x00000001u)</span>
<a name="l00402"></a>00402 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRCMD_SET_RESETVAL   (0x00000000u)</span>
<a name="l00403"></a>00403 <span class="preprocessor"></span>
<a name="l00404"></a>00404 <span class="comment">/*----SET Tokens----*/</span>
<a name="l00405"></a>00405 <span class="preprocessor">#define EDMA3_TCRL_ERRCMD_SET_SET        (0x00000001u)</span>
<a name="l00406"></a>00406 <span class="preprocessor"></span>
<a name="l00407"></a>00407 <span class="preprocessor">#define EDMA3_TCRL_ERRCMD_EVAL_MASK      (0x00000001u)</span>
<a name="l00408"></a>00408 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRCMD_EVAL_SHIFT     (0x00000000u)</span>
<a name="l00409"></a>00409 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_ERRCMD_EVAL_RESETVAL  (0x00000000u)</span>
<a name="l00410"></a>00410 <span class="preprocessor"></span>
<a name="l00411"></a>00411 <span class="comment">/*----EVAL Tokens----*/</span>
<a name="l00412"></a>00412 <span class="preprocessor">#define EDMA3_TCRL_ERRCMD_EVAL_EVAL      (0x00000001u)</span>
<a name="l00413"></a>00413 <span class="preprocessor"></span>
<a name="l00414"></a>00414 <span class="preprocessor">#define EDMA3_TCRL_ERRCMD_RESETVAL       (0x00000000u)</span>
<a name="l00415"></a>00415 <span class="preprocessor"></span>
<a name="l00416"></a>00416 <span class="comment">/* RDRATE */</span>
<a name="l00417"></a>00417 
<a name="l00418"></a>00418 <span class="preprocessor">#define EDMA3_TCRL_RDRATE_RDRATE_MASK    (0x00000007u)</span>
<a name="l00419"></a>00419 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_RDRATE_RDRATE_SHIFT   (0x00000000u)</span>
<a name="l00420"></a>00420 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_RDRATE_RDRATE_RESETVAL (0x00000000u)</span>
<a name="l00421"></a>00421 <span class="preprocessor"></span>
<a name="l00422"></a>00422 <span class="comment">/*----RDRATE Tokens----*/</span>
<a name="l00423"></a>00423 <span class="preprocessor">#define EDMA3_TCRL_RDRATE_RDRATE_AFAP    (0x00000000u)</span>
<a name="l00424"></a>00424 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_RDRATE_RDRATE_4CYCLE  (0x00000001u)</span>
<a name="l00425"></a>00425 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_RDRATE_RDRATE_8CYCLE  (0x00000002u)</span>
<a name="l00426"></a>00426 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_RDRATE_RDRATE_16CYCLE (0x00000003u)</span>
<a name="l00427"></a>00427 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_RDRATE_RDRATE_32CYCLE (0x00000004u)</span>
<a name="l00428"></a>00428 <span class="preprocessor"></span>
<a name="l00429"></a>00429 <span class="preprocessor">#define EDMA3_TCRL_RDRATE_RESETVAL       (0x00000000u)</span>
<a name="l00430"></a>00430 <span class="preprocessor"></span>
<a name="l00431"></a>00431 <span class="comment">/* POPT */</span>
<a name="l00432"></a>00432 
<a name="l00433"></a>00433 <span class="preprocessor">#define EDMA3_TCRL_POPT_TCCHEN_MASK      (0x00400000u)</span>
<a name="l00434"></a>00434 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_TCCHEN_SHIFT     (0x00000016u)</span>
<a name="l00435"></a>00435 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_TCCHEN_RESETVAL  (0x00000000u)</span>
<a name="l00436"></a>00436 <span class="preprocessor"></span>
<a name="l00437"></a>00437 <span class="comment">/*----TCCHEN Tokens----*/</span>
<a name="l00438"></a>00438 <span class="preprocessor">#define EDMA3_TCRL_POPT_TCCHEN_DISABLE   (0x00000000u)</span>
<a name="l00439"></a>00439 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_TCCHEN_ENABLE    (0x00000001u)</span>
<a name="l00440"></a>00440 <span class="preprocessor"></span>
<a name="l00441"></a>00441 <span class="preprocessor">#define EDMA3_TCRL_POPT_TCINTEN_MASK     (0x00100000u)</span>
<a name="l00442"></a>00442 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_TCINTEN_SHIFT    (0x00000014u)</span>
<a name="l00443"></a>00443 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_TCINTEN_RESETVAL (0x00000000u)</span>
<a name="l00444"></a>00444 <span class="preprocessor"></span>
<a name="l00445"></a>00445 <span class="comment">/*----TCINTEN Tokens----*/</span>
<a name="l00446"></a>00446 <span class="preprocessor">#define EDMA3_TCRL_POPT_TCINTEN_DISABLE  (0x00000000u)</span>
<a name="l00447"></a>00447 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_TCINTEN_ENABLE   (0x00000001u)</span>
<a name="l00448"></a>00448 <span class="preprocessor"></span>
<a name="l00449"></a>00449 <span class="preprocessor">#define EDMA3_TCRL_POPT_TCC_MASK         (0x0003F000u)</span>
<a name="l00450"></a>00450 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_TCC_SHIFT        (0x0000000Cu)</span>
<a name="l00451"></a>00451 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_TCC_RESETVAL     (0x00000000u)</span>
<a name="l00452"></a>00452 <span class="preprocessor"></span>
<a name="l00453"></a>00453 <span class="preprocessor">#define EDMA3_TCRL_POPT_FWID_MASK        (0x00000700u)</span>
<a name="l00454"></a>00454 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_FWID_SHIFT       (0x00000008u)</span>
<a name="l00455"></a>00455 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_FWID_RESETVAL    (0x00000000u)</span>
<a name="l00456"></a>00456 <span class="preprocessor"></span>
<a name="l00457"></a>00457 <span class="comment">/*----FWID Tokens----*/</span>
<a name="l00458"></a>00458 <span class="preprocessor">#define EDMA3_TCRL_POPT_FWID_8BIT        (0x00000000u)</span>
<a name="l00459"></a>00459 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_FWID_16BIT       (0x00000001u)</span>
<a name="l00460"></a>00460 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_FWID_32BIT       (0x00000002u)</span>
<a name="l00461"></a>00461 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_FWID_64BIT       (0x00000003u)</span>
<a name="l00462"></a>00462 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_FWID_128BIT      (0x00000004u)</span>
<a name="l00463"></a>00463 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_FWID_256BIT      (0x00000005u)</span>
<a name="l00464"></a>00464 <span class="preprocessor"></span>
<a name="l00465"></a>00465 <span class="preprocessor">#define EDMA3_TCRL_POPT_PRI_MASK         (0x00000070u)</span>
<a name="l00466"></a>00466 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_PRI_SHIFT        (0x00000004u)</span>
<a name="l00467"></a>00467 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_PRI_RESETVAL     (0x00000000u)</span>
<a name="l00468"></a>00468 <span class="preprocessor"></span>
<a name="l00469"></a>00469 <span class="preprocessor">#define EDMA3_TCRL_POPT_DAM_MASK         (0x00000002u)</span>
<a name="l00470"></a>00470 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_DAM_SHIFT        (0x00000001u)</span>
<a name="l00471"></a>00471 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_DAM_RESETVAL     (0x00000000u)</span>
<a name="l00472"></a>00472 <span class="preprocessor"></span>
<a name="l00473"></a>00473 <span class="comment">/*----DAM Tokens----*/</span>
<a name="l00474"></a>00474 <span class="preprocessor">#define EDMA3_TCRL_POPT_DAM_INCR         (0x00000000u)</span>
<a name="l00475"></a>00475 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_DAM_FIFO         (0x00000001u)</span>
<a name="l00476"></a>00476 <span class="preprocessor"></span>
<a name="l00477"></a>00477 <span class="preprocessor">#define EDMA3_TCRL_POPT_SAM_MASK         (0x00000001u)</span>
<a name="l00478"></a>00478 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_SAM_SHIFT        (0x00000000u)</span>
<a name="l00479"></a>00479 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_SAM_RESETVAL     (0x00000000u)</span>
<a name="l00480"></a>00480 <span class="preprocessor"></span>
<a name="l00481"></a>00481 <span class="comment">/*----SAM Tokens----*/</span>
<a name="l00482"></a>00482 <span class="preprocessor">#define EDMA3_TCRL_POPT_SAM_INCR         (0x00000000u)</span>
<a name="l00483"></a>00483 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_POPT_SAM_FIFO         (0x00000001u)</span>
<a name="l00484"></a>00484 <span class="preprocessor"></span>
<a name="l00485"></a>00485 <span class="preprocessor">#define EDMA3_TCRL_POPT_RESETVAL         (0x00000000u)</span>
<a name="l00486"></a>00486 <span class="preprocessor"></span>
<a name="l00487"></a>00487 <span class="comment">/* PSRC */</span>
<a name="l00488"></a>00488 
<a name="l00489"></a>00489 <span class="preprocessor">#define EDMA3_TCRL_PSRC_SADDR_MASK       (0xFFFFFFFFu)</span>
<a name="l00490"></a>00490 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PSRC_SADDR_SHIFT      (0x00000000u)</span>
<a name="l00491"></a>00491 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PSRC_SADDR_RESETVAL   (0x00000000u)</span>
<a name="l00492"></a>00492 <span class="preprocessor"></span>
<a name="l00493"></a>00493 <span class="preprocessor">#define EDMA3_TCRL_PSRC_RESETVAL         (0x00000000u)</span>
<a name="l00494"></a>00494 <span class="preprocessor"></span>
<a name="l00495"></a>00495 <span class="comment">/* PCNT */</span>
<a name="l00496"></a>00496 
<a name="l00497"></a>00497 <span class="preprocessor">#define EDMA3_TCRL_PCNT_BCNT_MASK        (0xFFFF0000u)</span>
<a name="l00498"></a>00498 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PCNT_BCNT_SHIFT       (0x00000010u)</span>
<a name="l00499"></a>00499 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PCNT_BCNT_RESETVAL    (0x00000000u)</span>
<a name="l00500"></a>00500 <span class="preprocessor"></span>
<a name="l00501"></a>00501 <span class="preprocessor">#define EDMA3_TCRL_PCNT_ACNT_MASK        (0x0000FFFFu)</span>
<a name="l00502"></a>00502 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PCNT_ACNT_SHIFT       (0x00000000u)</span>
<a name="l00503"></a>00503 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PCNT_ACNT_RESETVAL    (0x00000000u)</span>
<a name="l00504"></a>00504 <span class="preprocessor"></span>
<a name="l00505"></a>00505 <span class="preprocessor">#define EDMA3_TCRL_PCNT_RESETVAL         (0x00000000u)</span>
<a name="l00506"></a>00506 <span class="preprocessor"></span>
<a name="l00507"></a>00507 <span class="comment">/* PDST */</span>
<a name="l00508"></a>00508 
<a name="l00509"></a>00509 <span class="preprocessor">#define EDMA3_TCRL_PDST_DADDR_MASK       (0xFFFFFFFFu)</span>
<a name="l00510"></a>00510 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PDST_DADDR_SHIFT      (0x00000000u)</span>
<a name="l00511"></a>00511 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PDST_DADDR_RESETVAL   (0x00000000u)</span>
<a name="l00512"></a>00512 <span class="preprocessor"></span>
<a name="l00513"></a>00513 <span class="preprocessor">#define EDMA3_TCRL_PDST_RESETVAL         (0x00000000u)</span>
<a name="l00514"></a>00514 <span class="preprocessor"></span>
<a name="l00515"></a>00515 <span class="comment">/* PBIDX */</span>
<a name="l00516"></a>00516 
<a name="l00517"></a>00517 <span class="preprocessor">#define EDMA3_TCRL_PBIDX_DBIDX_MASK      (0xFFFF0000u)</span>
<a name="l00518"></a>00518 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PBIDX_DBIDX_SHIFT     (0x00000010u)</span>
<a name="l00519"></a>00519 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PBIDX_DBIDX_RESETVAL  (0x00000000u)</span>
<a name="l00520"></a>00520 <span class="preprocessor"></span>
<a name="l00521"></a>00521 <span class="preprocessor">#define EDMA3_TCRL_PBIDX_SBIDX_MASK      (0x0000FFFFu)</span>
<a name="l00522"></a>00522 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PBIDX_SBIDX_SHIFT     (0x00000000u)</span>
<a name="l00523"></a>00523 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PBIDX_SBIDX_RESETVAL  (0x00000000u)</span>
<a name="l00524"></a>00524 <span class="preprocessor"></span>
<a name="l00525"></a>00525 <span class="preprocessor">#define EDMA3_TCRL_PBIDX_RESETVAL        (0x00000000u)</span>
<a name="l00526"></a>00526 <span class="preprocessor"></span>
<a name="l00527"></a>00527 <span class="comment">/* PMPPRXY */</span>
<a name="l00528"></a>00528 
<a name="l00529"></a>00529 <span class="preprocessor">#define EDMA3_TCRL_PMPPRXY_PRIV_MASK     (0x00000100u)</span>
<a name="l00530"></a>00530 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PMPPRXY_PRIV_SHIFT    (0x00000008u)</span>
<a name="l00531"></a>00531 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PMPPRXY_PRIV_RESETVAL (0x00000000u)</span>
<a name="l00532"></a>00532 <span class="preprocessor"></span>
<a name="l00533"></a>00533 <span class="comment">/*----PRIV Tokens----*/</span>
<a name="l00534"></a>00534 <span class="preprocessor">#define EDMA3_TCRL_PMPPRXY_PRIV_USER     (0x00000000u)</span>
<a name="l00535"></a>00535 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PMPPRXY_PRIV_SUPERVISOR (0x00000001u)</span>
<a name="l00536"></a>00536 <span class="preprocessor"></span>
<a name="l00537"></a>00537 <span class="preprocessor">#define EDMA3_TCRL_PMPPRXY_PRIVID_MASK   (0x0000000Fu)</span>
<a name="l00538"></a>00538 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PMPPRXY_PRIVID_SHIFT  (0x00000000u)</span>
<a name="l00539"></a>00539 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_PMPPRXY_PRIVID_RESETVAL (0x00000000u)</span>
<a name="l00540"></a>00540 <span class="preprocessor"></span>
<a name="l00541"></a>00541 <span class="preprocessor">#define EDMA3_TCRL_PMPPRXY_RESETVAL      (0x00000000u)</span>
<a name="l00542"></a>00542 <span class="preprocessor"></span>
<a name="l00543"></a>00543 <span class="comment">/* SAOPT */</span>
<a name="l00544"></a>00544 
<a name="l00545"></a>00545 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCCHEN_MASK     (0x00400000u)</span>
<a name="l00546"></a>00546 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCCHEN_SHIFT    (0x00000016u)</span>
<a name="l00547"></a>00547 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCCHEN_RESETVAL (0x00000000u)</span>
<a name="l00548"></a>00548 <span class="preprocessor"></span>
<a name="l00549"></a>00549 <span class="comment">/*----TCCHEN Tokens----*/</span>
<a name="l00550"></a>00550 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCCHEN_DISABLE  (0x00000000u)</span>
<a name="l00551"></a>00551 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCCHEN_ENABLE   (0x00000001u)</span>
<a name="l00552"></a>00552 <span class="preprocessor"></span>
<a name="l00553"></a>00553 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCINTEN_MASK    (0x00100000u)</span>
<a name="l00554"></a>00554 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCINTEN_SHIFT   (0x00000014u)</span>
<a name="l00555"></a>00555 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCINTEN_RESETVAL (0x00000000u)</span>
<a name="l00556"></a>00556 <span class="preprocessor"></span>
<a name="l00557"></a>00557 <span class="comment">/*----TCINTEN Tokens----*/</span>
<a name="l00558"></a>00558 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCINTEN_DISABLE (0x00000000u)</span>
<a name="l00559"></a>00559 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCINTEN_ENABLE  (0x00000001u)</span>
<a name="l00560"></a>00560 <span class="preprocessor"></span>
<a name="l00561"></a>00561 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCC_MASK        (0x0003F000u)</span>
<a name="l00562"></a>00562 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCC_SHIFT       (0x0000000Cu)</span>
<a name="l00563"></a>00563 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_TCC_RESETVAL    (0x00000000u)</span>
<a name="l00564"></a>00564 <span class="preprocessor"></span>
<a name="l00565"></a>00565 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_FWID_MASK       (0x00000700u)</span>
<a name="l00566"></a>00566 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_FWID_SHIFT      (0x00000008u)</span>
<a name="l00567"></a>00567 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_FWID_RESETVAL   (0x00000000u)</span>
<a name="l00568"></a>00568 <span class="preprocessor"></span>
<a name="l00569"></a>00569 <span class="comment">/*----FWID Tokens----*/</span>
<a name="l00570"></a>00570 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_FWID_8BIT       (0x00000000u)</span>
<a name="l00571"></a>00571 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_FWID_16BIT      (0x00000001u)</span>
<a name="l00572"></a>00572 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_FWID_32BIT      (0x00000002u)</span>
<a name="l00573"></a>00573 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_FWID_64BIT      (0x00000003u)</span>
<a name="l00574"></a>00574 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_FWID_128BIT     (0x00000004u)</span>
<a name="l00575"></a>00575 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_FWID_256BIT     (0x00000005u)</span>
<a name="l00576"></a>00576 <span class="preprocessor"></span>
<a name="l00577"></a>00577 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_PRI_MASK        (0x00000070u)</span>
<a name="l00578"></a>00578 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_PRI_SHIFT       (0x00000004u)</span>
<a name="l00579"></a>00579 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_PRI_RESETVAL    (0x00000000u)</span>
<a name="l00580"></a>00580 <span class="preprocessor"></span>
<a name="l00581"></a>00581 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_DAM_MASK        (0x00000002u)</span>
<a name="l00582"></a>00582 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_DAM_SHIFT       (0x00000001u)</span>
<a name="l00583"></a>00583 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_DAM_RESETVAL    (0x00000000u)</span>
<a name="l00584"></a>00584 <span class="preprocessor"></span>
<a name="l00585"></a>00585 <span class="comment">/*----DAM Tokens----*/</span>
<a name="l00586"></a>00586 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_DAM_INCR        (0x00000000u)</span>
<a name="l00587"></a>00587 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_DAM_FIFO        (0x00000001u)</span>
<a name="l00588"></a>00588 <span class="preprocessor"></span>
<a name="l00589"></a>00589 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_SAM_MASK        (0x00000001u)</span>
<a name="l00590"></a>00590 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_SAM_SHIFT       (0x00000000u)</span>
<a name="l00591"></a>00591 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_SAM_RESETVAL    (0x00000000u)</span>
<a name="l00592"></a>00592 <span class="preprocessor"></span>
<a name="l00593"></a>00593 <span class="comment">/*----SAM Tokens----*/</span>
<a name="l00594"></a>00594 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_SAM_INCR        (0x00000000u)</span>
<a name="l00595"></a>00595 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAOPT_SAM_FIFO        (0x00000001u)</span>
<a name="l00596"></a>00596 <span class="preprocessor"></span>
<a name="l00597"></a>00597 <span class="preprocessor">#define EDMA3_TCRL_SAOPT_RESETVAL        (0x00000000u)</span>
<a name="l00598"></a>00598 <span class="preprocessor"></span>
<a name="l00599"></a>00599 <span class="comment">/* SASRC */</span>
<a name="l00600"></a>00600 
<a name="l00601"></a>00601 <span class="preprocessor">#define EDMA3_TCRL_SASRC_SADDR_MASK      (0xFFFFFFFFu)</span>
<a name="l00602"></a>00602 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SASRC_SADDR_SHIFT     (0x00000000u)</span>
<a name="l00603"></a>00603 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SASRC_SADDR_RESETVAL  (0x00000000u)</span>
<a name="l00604"></a>00604 <span class="preprocessor"></span>
<a name="l00605"></a>00605 <span class="preprocessor">#define EDMA3_TCRL_SASRC_RESETVAL        (0x00000000u)</span>
<a name="l00606"></a>00606 <span class="preprocessor"></span>
<a name="l00607"></a>00607 <span class="comment">/* SACNT */</span>
<a name="l00608"></a>00608 
<a name="l00609"></a>00609 <span class="preprocessor">#define EDMA3_TCRL_SACNT_BCNT_MASK       (0xFFFF0000u)</span>
<a name="l00610"></a>00610 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SACNT_BCNT_SHIFT      (0x00000010u)</span>
<a name="l00611"></a>00611 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SACNT_BCNT_RESETVAL   (0x00000000u)</span>
<a name="l00612"></a>00612 <span class="preprocessor"></span>
<a name="l00613"></a>00613 <span class="preprocessor">#define EDMA3_TCRL_SACNT_ACNT_MASK       (0x0000FFFFu)</span>
<a name="l00614"></a>00614 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SACNT_ACNT_SHIFT      (0x00000000u)</span>
<a name="l00615"></a>00615 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SACNT_ACNT_RESETVAL   (0x00000000u)</span>
<a name="l00616"></a>00616 <span class="preprocessor"></span>
<a name="l00617"></a>00617 <span class="preprocessor">#define EDMA3_TCRL_SACNT_RESETVAL        (0x00000000u)</span>
<a name="l00618"></a>00618 <span class="preprocessor"></span>
<a name="l00619"></a>00619 <span class="comment">/* SADST */</span>
<a name="l00620"></a>00620 
<a name="l00621"></a>00621 <span class="preprocessor">#define EDMA3_TCRL_SADST_RESETVAL        (0x00000000u)</span>
<a name="l00622"></a>00622 <span class="preprocessor"></span>
<a name="l00623"></a>00623 <span class="comment">/* SABIDX */</span>
<a name="l00624"></a>00624 
<a name="l00625"></a>00625 <span class="preprocessor">#define EDMA3_TCRL_SABIDX_DBIDX_MASK     (0xFFFF0000u)</span>
<a name="l00626"></a>00626 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SABIDX_DBIDX_SHIFT    (0x00000010u)</span>
<a name="l00627"></a>00627 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SABIDX_DBIDX_RESETVAL (0x00000000u)</span>
<a name="l00628"></a>00628 <span class="preprocessor"></span>
<a name="l00629"></a>00629 <span class="preprocessor">#define EDMA3_TCRL_SABIDX_SBIDX_MASK     (0x0000FFFFu)</span>
<a name="l00630"></a>00630 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SABIDX_SBIDX_SHIFT    (0x00000000u)</span>
<a name="l00631"></a>00631 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SABIDX_SBIDX_RESETVAL (0x00000000u)</span>
<a name="l00632"></a>00632 <span class="preprocessor"></span>
<a name="l00633"></a>00633 <span class="preprocessor">#define EDMA3_TCRL_SABIDX_RESETVAL       (0x00000000u)</span>
<a name="l00634"></a>00634 <span class="preprocessor"></span>
<a name="l00635"></a>00635 <span class="comment">/* SAMPPRXY */</span>
<a name="l00636"></a>00636 
<a name="l00637"></a>00637 <span class="preprocessor">#define EDMA3_TCRL_SAMPPRXY_PRIV_MASK    (0x00000100u)</span>
<a name="l00638"></a>00638 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAMPPRXY_PRIV_SHIFT   (0x00000008u)</span>
<a name="l00639"></a>00639 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAMPPRXY_PRIV_RESETVAL (0x00000000u)</span>
<a name="l00640"></a>00640 <span class="preprocessor"></span>
<a name="l00641"></a>00641 <span class="comment">/*----PRIV Tokens----*/</span>
<a name="l00642"></a>00642 <span class="preprocessor">#define EDMA3_TCRL_SAMPPRXY_PRIV_USER    (0x00000000u)</span>
<a name="l00643"></a>00643 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAMPPRXY_PRIV_SUPERVISOR (0x00000001u)</span>
<a name="l00644"></a>00644 <span class="preprocessor"></span>
<a name="l00645"></a>00645 <span class="preprocessor">#define EDMA3_TCRL_SAMPPRXY_PRIVID_MASK  (0x0000000Fu)</span>
<a name="l00646"></a>00646 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAMPPRXY_PRIVID_SHIFT (0x00000000u)</span>
<a name="l00647"></a>00647 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SAMPPRXY_PRIVID_RESETVAL (0x00000000u)</span>
<a name="l00648"></a>00648 <span class="preprocessor"></span>
<a name="l00649"></a>00649 <span class="preprocessor">#define EDMA3_TCRL_SAMPPRXY_RESETVAL     (0x00000000u)</span>
<a name="l00650"></a>00650 <span class="preprocessor"></span>
<a name="l00651"></a>00651 <span class="comment">/* SACNTRLD */</span>
<a name="l00652"></a>00652 
<a name="l00653"></a>00653 <span class="preprocessor">#define EDMA3_TCRL_SACNTRLD_ACNTRLD_MASK (0x0000FFFFu)</span>
<a name="l00654"></a>00654 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SACNTRLD_ACNTRLD_SHIFT (0x00000000u)</span>
<a name="l00655"></a>00655 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SACNTRLD_ACNTRLD_RESETVAL (0x00000000u)</span>
<a name="l00656"></a>00656 <span class="preprocessor"></span>
<a name="l00657"></a>00657 <span class="preprocessor">#define EDMA3_TCRL_SACNTRLD_RESETVAL     (0x00000000u)</span>
<a name="l00658"></a>00658 <span class="preprocessor"></span>
<a name="l00659"></a>00659 <span class="comment">/* SASRCBREF */</span>
<a name="l00660"></a>00660 
<a name="l00661"></a>00661 <span class="preprocessor">#define EDMA3_TCRL_SASRCBREF_SADDRBREFG_MASK (0xFFFFFFFFu)</span>
<a name="l00662"></a>00662 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SASRCBREF_SADDRBREFG_SHIFT (0x00000000u)</span>
<a name="l00663"></a>00663 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_SASRCBREF_SADDRBREFG_RESETVAL (0x00000000u)</span>
<a name="l00664"></a>00664 <span class="preprocessor"></span>
<a name="l00665"></a>00665 <span class="preprocessor">#define EDMA3_TCRL_SASRCBREF_RESETVAL    (0x00000000u)</span>
<a name="l00666"></a>00666 <span class="preprocessor"></span>
<a name="l00667"></a>00667 <span class="comment">/* SADSTBREF */</span>
<a name="l00668"></a>00668 
<a name="l00669"></a>00669 <span class="preprocessor">#define EDMA3_TCRL_SADSTBREF_RESETVAL    (0x00000000u)</span>
<a name="l00670"></a>00670 <span class="preprocessor"></span>
<a name="l00671"></a>00671 <span class="comment">/* DFCNTRLD */</span>
<a name="l00672"></a>00672 
<a name="l00673"></a>00673 <span class="preprocessor">#define EDMA3_TCRL_DFCNTRLD_ACNTRLD_MASK (0x0000FFFFu)</span>
<a name="l00674"></a>00674 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFCNTRLD_ACNTRLD_SHIFT (0x00000000u)</span>
<a name="l00675"></a>00675 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFCNTRLD_ACNTRLD_RESETVAL (0x00000000u)</span>
<a name="l00676"></a>00676 <span class="preprocessor"></span>
<a name="l00677"></a>00677 <span class="preprocessor">#define EDMA3_TCRL_DFCNTRLD_RESETVAL     (0x00000000u)</span>
<a name="l00678"></a>00678 <span class="preprocessor"></span>
<a name="l00679"></a>00679 <span class="comment">/* DFSRCBREF */</span>
<a name="l00680"></a>00680 
<a name="l00681"></a>00681 <span class="preprocessor">#define EDMA3_TCRL_DFSRCBREF_RESETVAL    (0x00000000u)</span>
<a name="l00682"></a>00682 <span class="preprocessor"></span>
<a name="l00683"></a>00683 <span class="comment">/* DFDSTBREF */</span>
<a name="l00684"></a>00684 
<a name="l00685"></a>00685 <span class="preprocessor">#define EDMA3_TCRL_DFDSTBREF_DADDRBREF_MASK (0xFFFFFFFFu)</span>
<a name="l00686"></a>00686 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFDSTBREF_DADDRBREF_SHIFT (0x00000000u)</span>
<a name="l00687"></a>00687 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFDSTBREF_DADDRBREF_RESETVAL (0x00000000u)</span>
<a name="l00688"></a>00688 <span class="preprocessor"></span>
<a name="l00689"></a>00689 <span class="preprocessor">#define EDMA3_TCRL_DFDSTBREF_RESETVAL    (0x00000000u)</span>
<a name="l00690"></a>00690 <span class="preprocessor"></span>
<a name="l00691"></a>00691 <span class="comment">/* DFOPT */</span>
<a name="l00692"></a>00692 
<a name="l00693"></a>00693 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCCHEN_MASK     (0x00400000u)</span>
<a name="l00694"></a>00694 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCCHEN_SHIFT    (0x00000016u)</span>
<a name="l00695"></a>00695 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCCHEN_RESETVAL (0x00000000u)</span>
<a name="l00696"></a>00696 <span class="preprocessor"></span>
<a name="l00697"></a>00697 <span class="comment">/*----TCCHEN Tokens----*/</span>
<a name="l00698"></a>00698 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCCHEN_DISABLE  (0x00000000u)</span>
<a name="l00699"></a>00699 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCCHEN_ENABLE   (0x00000001u)</span>
<a name="l00700"></a>00700 <span class="preprocessor"></span>
<a name="l00701"></a>00701 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCINTEN_MASK    (0x00100000u)</span>
<a name="l00702"></a>00702 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCINTEN_SHIFT   (0x00000014u)</span>
<a name="l00703"></a>00703 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCINTEN_RESETVAL (0x00000000u)</span>
<a name="l00704"></a>00704 <span class="preprocessor"></span>
<a name="l00705"></a>00705 <span class="comment">/*----TCINTEN Tokens----*/</span>
<a name="l00706"></a>00706 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCINTEN_DISABLE (0x00000000u)</span>
<a name="l00707"></a>00707 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCINTEN_ENABLE  (0x00000001u)</span>
<a name="l00708"></a>00708 <span class="preprocessor"></span>
<a name="l00709"></a>00709 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCC_MASK        (0x0003F000u)</span>
<a name="l00710"></a>00710 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCC_SHIFT       (0x0000000Cu)</span>
<a name="l00711"></a>00711 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_TCC_RESETVAL    (0x00000000u)</span>
<a name="l00712"></a>00712 <span class="preprocessor"></span>
<a name="l00713"></a>00713 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_FWID_MASK       (0x00000700u)</span>
<a name="l00714"></a>00714 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_FWID_SHIFT      (0x00000008u)</span>
<a name="l00715"></a>00715 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_FWID_RESETVAL   (0x00000000u)</span>
<a name="l00716"></a>00716 <span class="preprocessor"></span>
<a name="l00717"></a>00717 <span class="comment">/*----FWID Tokens----*/</span>
<a name="l00718"></a>00718 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_FWID_8BIT       (0x00000000u)</span>
<a name="l00719"></a>00719 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_FWID_16BIT      (0x00000001u)</span>
<a name="l00720"></a>00720 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_FWID_32BIT      (0x00000002u)</span>
<a name="l00721"></a>00721 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_FWID_64BIT      (0x00000003u)</span>
<a name="l00722"></a>00722 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_FWID_128BIT     (0x00000004u)</span>
<a name="l00723"></a>00723 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_FWID_256BIT     (0x00000005u)</span>
<a name="l00724"></a>00724 <span class="preprocessor"></span>
<a name="l00725"></a>00725 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_PRI_MASK        (0x00000070u)</span>
<a name="l00726"></a>00726 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_PRI_SHIFT       (0x00000004u)</span>
<a name="l00727"></a>00727 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_PRI_RESETVAL    (0x00000000u)</span>
<a name="l00728"></a>00728 <span class="preprocessor"></span>
<a name="l00729"></a>00729 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_DAM_MASK        (0x00000002u)</span>
<a name="l00730"></a>00730 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_DAM_SHIFT       (0x00000001u)</span>
<a name="l00731"></a>00731 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_DAM_RESETVAL    (0x00000000u)</span>
<a name="l00732"></a>00732 <span class="preprocessor"></span>
<a name="l00733"></a>00733 <span class="comment">/*----DAM Tokens----*/</span>
<a name="l00734"></a>00734 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_DAM_INCR        (0x00000000u)</span>
<a name="l00735"></a>00735 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_DAM_FIFO        (0x00000001u)</span>
<a name="l00736"></a>00736 <span class="preprocessor"></span>
<a name="l00737"></a>00737 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_SAM_MASK        (0x00000001u)</span>
<a name="l00738"></a>00738 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_SAM_SHIFT       (0x00000000u)</span>
<a name="l00739"></a>00739 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_SAM_RESETVAL    (0x00000000u)</span>
<a name="l00740"></a>00740 <span class="preprocessor"></span>
<a name="l00741"></a>00741 <span class="comment">/*----SAM Tokens----*/</span>
<a name="l00742"></a>00742 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_SAM_INCR        (0x00000000u)</span>
<a name="l00743"></a>00743 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFOPT_SAM_FIFO        (0x00000001u)</span>
<a name="l00744"></a>00744 <span class="preprocessor"></span>
<a name="l00745"></a>00745 <span class="preprocessor">#define EDMA3_TCRL_DFOPT_RESETVAL        (0x00000000u)</span>
<a name="l00746"></a>00746 <span class="preprocessor"></span>
<a name="l00747"></a>00747 <span class="comment">/* DFSRC */</span>
<a name="l00748"></a>00748 
<a name="l00749"></a>00749 <span class="preprocessor">#define EDMA3_TCRL_DFSRC_RESETVAL        (0x00000000u)</span>
<a name="l00750"></a>00750 <span class="preprocessor"></span>
<a name="l00751"></a>00751 <span class="comment">/* DFCNT */</span>
<a name="l00752"></a>00752 
<a name="l00753"></a>00753 <span class="preprocessor">#define EDMA3_TCRL_DFCNT_BCNT_MASK       (0xFFFF0000u)</span>
<a name="l00754"></a>00754 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFCNT_BCNT_SHIFT      (0x00000010u)</span>
<a name="l00755"></a>00755 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFCNT_BCNT_RESETVAL   (0x00000000u)</span>
<a name="l00756"></a>00756 <span class="preprocessor"></span>
<a name="l00757"></a>00757 <span class="preprocessor">#define EDMA3_TCRL_DFCNT_ACNT_MASK       (0x0000FFFFu)</span>
<a name="l00758"></a>00758 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFCNT_ACNT_SHIFT      (0x00000000u)</span>
<a name="l00759"></a>00759 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFCNT_ACNT_RESETVAL   (0x00000000u)</span>
<a name="l00760"></a>00760 <span class="preprocessor"></span>
<a name="l00761"></a>00761 <span class="preprocessor">#define EDMA3_TCRL_DFCNT_RESETVAL        (0x00000000u)</span>
<a name="l00762"></a>00762 <span class="preprocessor"></span>
<a name="l00763"></a>00763 <span class="comment">/* DFDST */</span>
<a name="l00764"></a>00764 
<a name="l00765"></a>00765 <span class="preprocessor">#define EDMA3_TCRL_DFDST_DADDR_MASK      (0xFFFFFFFFu)</span>
<a name="l00766"></a>00766 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFDST_DADDR_SHIFT     (0x00000000u)</span>
<a name="l00767"></a>00767 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFDST_DADDR_RESETVAL  (0x00000000u)</span>
<a name="l00768"></a>00768 <span class="preprocessor"></span>
<a name="l00769"></a>00769 <span class="preprocessor">#define EDMA3_TCRL_DFDST_RESETVAL        (0x00000000u)</span>
<a name="l00770"></a>00770 <span class="preprocessor"></span>
<a name="l00771"></a>00771 <span class="comment">/* DFBIDX */</span>
<a name="l00772"></a>00772 
<a name="l00773"></a>00773 <span class="preprocessor">#define EDMA3_TCRL_DFBIDX_DBIDX_MASK     (0xFFFF0000u)</span>
<a name="l00774"></a>00774 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFBIDX_DBIDX_SHIFT    (0x00000010u)</span>
<a name="l00775"></a>00775 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFBIDX_DBIDX_RESETVAL (0x00000000u)</span>
<a name="l00776"></a>00776 <span class="preprocessor"></span>
<a name="l00777"></a>00777 <span class="preprocessor">#define EDMA3_TCRL_DFBIDX_SBIDX_MASK     (0x0000FFFFu)</span>
<a name="l00778"></a>00778 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFBIDX_SBIDX_SHIFT    (0x00000000u)</span>
<a name="l00779"></a>00779 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFBIDX_SBIDX_RESETVAL (0x00000000u)</span>
<a name="l00780"></a>00780 <span class="preprocessor"></span>
<a name="l00781"></a>00781 <span class="preprocessor">#define EDMA3_TCRL_DFBIDX_RESETVAL       (0x00000000u)</span>
<a name="l00782"></a>00782 <span class="preprocessor"></span>
<a name="l00783"></a>00783 <span class="comment">/* DFMPPRXY */</span>
<a name="l00784"></a>00784 
<a name="l00785"></a>00785 <span class="preprocessor">#define EDMA3_TCRL_DFMPPRXY_PRIV_MASK    (0x00000100u)</span>
<a name="l00786"></a>00786 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFMPPRXY_PRIV_SHIFT   (0x00000008u)</span>
<a name="l00787"></a>00787 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFMPPRXY_PRIV_RESETVAL (0x00000000u)</span>
<a name="l00788"></a>00788 <span class="preprocessor"></span>
<a name="l00789"></a>00789 <span class="comment">/*----PRIV Tokens----*/</span>
<a name="l00790"></a>00790 <span class="preprocessor">#define EDMA3_TCRL_DFMPPRXY_PRIV_USER    (0x00000000u)</span>
<a name="l00791"></a>00791 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFMPPRXY_PRIV_SUPERVISOR (0x00000001u)</span>
<a name="l00792"></a>00792 <span class="preprocessor"></span>
<a name="l00793"></a>00793 <span class="preprocessor">#define EDMA3_TCRL_DFMPPRXY_PRIVID_MASK  (0x0000000Fu)</span>
<a name="l00794"></a>00794 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFMPPRXY_PRIVID_SHIFT (0x00000000u)</span>
<a name="l00795"></a>00795 <span class="preprocessor"></span><span class="preprocessor">#define EDMA3_TCRL_DFMPPRXY_PRIVID_RESETVAL (0x00000000u)</span>
<a name="l00796"></a>00796 <span class="preprocessor"></span>
<a name="l00797"></a>00797 <span class="preprocessor">#define EDMA3_TCRL_DFMPPRXY_RESETVAL     (0x00000000u)</span>
<a name="l00798"></a>00798 <span class="preprocessor"></span>
<a name="l00799"></a>00799 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00800"></a>00800 <span class="preprocessor"></span>}
<a name="l00801"></a>00801 <span class="preprocessor">#endif </span><span class="comment">/* extern "C" */</span>
<a name="l00802"></a>00802 
<a name="l00803"></a>00803 <span class="preprocessor">#endif  </span><span class="comment">/* _EDMA3_RL_TC_H_ */</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:48 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
